summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas Sturmlechner <andreas.sturmlechner@gmail.com>2019-03-03 18:32:21 +0100
committerAndreas Sturmlechner <asturm@gentoo.org>2019-03-11 01:17:03 +0100
commit767b00d3906d234b1165258eb0c9c59dc73f7bb7 (patch)
tree58c87806e236169826e2d1966994abcbcb43f7cd /app-office/libreoffice/libreoffice-9999.ebuild
parentsci-astronomy/kstars: Drop 3.1.0 (diff)
downloadgentoo-767b00d3906d234b1165258eb0c9c59dc73f7bb7.tar.gz
gentoo-767b00d3906d234b1165258eb0c9c59dc73f7bb7.tar.bz2
gentoo-767b00d3906d234b1165258eb0c9c59dc73f7bb7.zip
app-office/libreoffice: EAPI-7 bump
Package-Manager: Portage-2.3.62, Repoman-2.3.12 Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>
Diffstat (limited to 'app-office/libreoffice/libreoffice-9999.ebuild')
-rw-r--r--app-office/libreoffice/libreoffice-9999.ebuild10
1 files changed, 5 insertions, 5 deletions
diff --git a/app-office/libreoffice/libreoffice-9999.ebuild b/app-office/libreoffice/libreoffice-9999.ebuild
index 66452c403fb..375aca4c6b2 100644
--- a/app-office/libreoffice/libreoffice-9999.ebuild
+++ b/app-office/libreoffice/libreoffice-9999.ebuild
@@ -1,7 +1,7 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=6
+EAPI=7
PYTHON_COMPAT=( python2_7 python3_{5,6,7} )
PYTHON_REQ_USE="threads(+),xml"
@@ -21,7 +21,7 @@ BRANDING="${PN}-branding-gentoo-0.8.tar.xz"
# PATCHSET="${P}-patchset-01.tar.xz"
[[ ${MY_PV} == *9999* ]] && inherit git-r3
-inherit autotools bash-completion-r1 check-reqs eapi7-ver flag-o-matic java-pkg-opt-2 multiprocessing pax-utils python-single-r1 qmake-utils toolchain-funcs xdg
+inherit autotools bash-completion-r1 check-reqs flag-o-matic java-pkg-opt-2 multiprocessing pax-utils python-single-r1 qmake-utils toolchain-funcs xdg
DESCRIPTION="A full office productivity suite"
HOMEPAGE="https://www.libreoffice.org"
@@ -552,7 +552,7 @@ src_install() {
insinto /usr/$(get_libdir)/${PN}/program
newins "${WORKDIR}/branding-sofficerc" sofficerc
dodir /etc/env.d
- echo "CONFIG_PROTECT=/usr/$(get_libdir)/${PN}/program/sofficerc" > "${ED%/}"/etc/env.d/99${PN} || die
+ echo "CONFIG_PROTECT=/usr/$(get_libdir)/${PN}/program/sofficerc" > "${ED}"/etc/env.d/99${PN} || die
fi
# Hack for offlinehelp, this needs fixing upstream at some point.
@@ -561,8 +561,8 @@ src_install() {
insinto /usr/$(get_libdir)/libreoffice/help
doins xmlhelp/util/*.xsl
- pax-mark -m "${ED%/}"/usr/$(get_libdir)/libreoffice/program/soffice.bin
- pax-mark -m "${ED%/}"/usr/$(get_libdir)/libreoffice/program/unopkg.bin
+ pax-mark -m "${ED}"/usr/$(get_libdir)/libreoffice/program/soffice.bin
+ pax-mark -m "${ED}"/usr/$(get_libdir)/libreoffice/program/unopkg.bin
}
pkg_preinst() {